Summary: Python-powered template engine and code-generator
Name: python-cheetah
Version: 2.4.4
Release: %mkrel 3
URL: http://www.CheetahTemplate.org/
Source0: http://pypi.python.org/packages/source/C/Cheetah/Cheetah-%{version}.tar.gz
License: MIT like
Group: Development/Python
BuildRequires: python-devel
Provides: python-cheetah2
Obsoletes: python-cheetah2

%description
Python-cheetah:
* generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
  text-based format.
* cleanly separates content, graphic design, and program code. This leads to
  highly modular, flexible, and reusable site architectures; faster
  development time; and HTML and program code that is easier to understand and
  maintain. It is particularly well suited for team efforts.
* blends the power and flexibility of Python with a simple template language
  that non-programmers can understand.
* gives template writers full access to any Python data structure, module,
  function, object, or method in their templates.
* makes code reuse easy by providing an object-orientated interface to
  templates that is accessible from Python code or other Cheetah templates.
  One template can subclass another and selectively reimplement sections of it.
* provides a simple, yet powerful, caching mechanism that can dramatically
  improve the performance of a dynamic website.
* compiles templates into optimized, yet readable, Python code.

%prep
%setup -q -n Cheetah-%version

%build
python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT

%files
%doc CHANGES LICENSE TODO
%_libdir/python*/site-packages/Cheetah
%_libdir/python*/site-packages/*.egg-info
%_bindir/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.4.4-3.mga3
+ Revision: 378556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 2.4.4-2.mga3
+ Revision: 314124
- Rebuild because of missing pythonegg(cheetah) provides

* Mon Jan 17 2011 blino <blino> 2.4.4-1.mga1
+ Revision: 20935
- imported package python-cheetah

